commit: f4e5877e0f2672179380de1a22402a3d61d2abbe
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 24 15:06:28 2016 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Thu Mar 24 15:06:28 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4e5877e
x11-libs/motif: Fix build failure with USE=-xft.
Bug: 578168
Package-Manager: portage-2.2.28
x11-libs/motif/motif-2.3.5.ebuild | 3 +++
1 file changed, 3 insertions(+)
diff --git a/x11-libs/motif/motif-2.3.5.ebuild
b/x11-libs/motif/motif-2.3.5.ebuild
index 7cdb19d..5963a13 100644
--- a/x11-libs/motif/motif-2.3.5.ebuild
+++ b/x11-libs/motif/motif-2.3.5.ebuild
@@ -46,6 +46,9 @@ src_prepare() {
# add X.Org vendor string to aliases for virtual bindings
echo -e '"The X.Org Foundation"\t\t\t\t\tpc' >>bindings/xmbind.alias
+ # remove header file which shouldn't be in the tarball #578168
+ rm lib/Xm/Xm.h || die
+
AT_M4DIR=. eautoreconf
# get around some LANG problems in make (#15119)